Name:           ulogd
Version:        1.02
Release:        0.fdr.6.1
Epoch:          0
Summary:        The userspace logging daemon for netfilter
License:        GPL
Group:          System Environment/Daemons
URL:            http://gnumonks.org/projects/ulogd
Source:         http://ftp.netfilter.org/pub/ulogd/ulogd-%{version}.tar.bz2
Source1:        ulogd.logrotate
Source2:        ulogd.8
Patch1:         ulogd-1.01-logdir.patch
Patch2:         ulogd-1.02-init.patch
Patch3:         ulogd-1.02-pgsql.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post):	initscripts, chkconfig
Requires(postun): initscripts, chkconfig
BuildRequires:  mysql-devel
BuildRequires:  postgresql-devel
#BuildRequires:	libpcap-devel

%description
Ulogd is an universal logging daemon for the ULOG target of netfilter, the
Linux 2.4+ firewalling subsystem. Ulogd is able to log packets in various
formats to different targets (text files, databases, etc..). It has an
easy-to-use plugin interface to add new protocols and new output targets.

%package mysql
Summary:        MySQL output plugin for ulogd
Group:          System Environment/Daemons
Requires:       %{name} = %{epoch}:%{version}

%description mysql
Ulogd-mysql is a MySQL output plugin for ulogd. It enables logging of
firewall information into a MySQL database.
                                                                                
%package pgsql
Summary:        PostgreSQL output plugin for ulogd
Group:          System Environment/Daemons
Requires:       %{name} = %{epoch}:%{version}

%description pgsql
Ulogd-mysql is a PostgreSQL output plugin for ulogd. It enables logging of
firewall information into a PostgreSQL database.

%prep
%setup -q
%patch1 -p1 -b .logdir
%patch2 -p1 -b .fedora
%patch3 -p1 -b .bigint

%build
%configure --with-mysql --with-pgsql
# Does not support parallel builds
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ulogd
mkdir -p $RPM_BUILD_ROOT%{_sbindir}/sbin
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -m755 ulogd.init $RPM_BUILD_ROOT%{_initrddir}/ulogd

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/ulogd

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/ulogd

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
sed -e 's/@VERSION@/%{version}/g' %{SOURCE2} > $RPM_BUILD_ROOT%{_mandir}/man8/ulogd.8
gzip $RPM_BUILD_ROOT%{_mandir}/man8/ulogd.8


%post
/sbin/chkconfig --add ulogd

%preun 
if [ "$1" = 0 ]; then 
  /sbin/service ulogd stop > /dev/null 2>&1 ||:
  /sbin/chkconfig --del ulogd 
fi

%postun 
if [ "$1" -ge "1" ]; then 
  /sbin/service ulogd reload > /dev/null 2>&1 ||:
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,)
%doc COPYING AUTHORS README
%doc doc/ulogd.txt doc/ulogd.a4.ps doc/ulogd.html
%doc doc/mysql.table* doc/pgsql.table
%{_sbindir}/ulogd
%config(noreplace) %{_sysconfdir}/ulogd.conf
%config(noreplace) %{_sysconfdir}/rc.d/init.d/ulogd
%{_libdir}/ulogd
%dir %{_localstatedir}/log/ulogd
%config(noreplace) %{_sysconfdir}/logrotate.d/ulogd
%{_mandir}/man8/ulogd.8.gz
%exclude %{_libdir}/ulogd/ulogd_MYSQL.so
%exclude %{_libdir}/ulogd/ulogd_PGSQL.so

%files mysql
%defattr(0644,root,root,0755)
%{_libdir}/ulogd/ulogd_MYSQL.so

%files pgsql
%defattr(0644,root,root,0755)
%{_libdir}/ulogd/ulogd_PGSQL.so

%changelog
* Sun Oct 31 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.02-0.fdr.6
- apply Michael Schwendt's suggestions in bug 1598

* Wed Oct 20 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.02-0.fdr.5
- enable MySQL and PostgreSQL in subpackages
- add man page from Debian

* Wed Oct 06 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.02-0.fdr.4
- apply QA suggestions (bug 1598)

* Sat Jul 10 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.02-0.fdr.3
- disable parallel builds
- add chkconfig to Requires(pre,post)
- set the right mode for /etc/logrotate.d/ulogd
- rotate weekly

* Sun May 16 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.02-0.fdr.2
- Add Epoch: 0

* Sat May 15 2004 Aurelien Bompard <gauret[AT]free.fr> 1.02-0.fdr.1
- initial package
